Results 1 to 8 of 8

Thread: Unable to complete zypper up due to mismatch in the fwupd package

  1. #1

    Default Unable to complete zypper up due to mismatch in the fwupd package

    Hi, I am unable to complete regular update of my system, any help/suggestion is greatly appreciated

    The problem is that zypper list-update wants "1.4.3-lp152.88.22" by the repo has "1.4.3-lp152.88.23"




    #
    sudo zypper list-updates

    Loading repository data...
    Reading installed packages...
    S | Repository | Name | Current Version | Available Version | Arch
    --+-------------------------------------------+-----------------------+-------------------+-------------------+-------
    v | ecsos's Home Project (openSUSE_Leap_15.2) | fwupd | 1.4.3-lp152.88.20 | 1.4.3-lp152.88.22 | x86_64
    v | ecsos's Home Project (openSUSE_Leap_15.2) | fwupd-lang | 1.4.3-lp152.88.20 | 1.4.3-lp152.88.22 | noarch
    v | ecsos's Home Project (openSUSE_Leap_15.2) | libfwupd2 | 1.4.3-lp152.88.20 | 1.4.3-lp152.88.22 | x86_64
    v | ecsos's Home Project (openSUSE_Leap_15.2) | libfwupdplugin1 | 1.4.3-lp152.88.20 | 1.4.3-lp152.88.22 | x86_64
    v | ecsos's Home Project (openSUSE_Leap_15.2) | typelib-1_0-Fwupd-2_0 | 1.4.3-lp152.88.20 | 1.4.3-lp152.88.22 | x86_64


    #
    sudo zypper up


    The following 5 packages are going to be upgraded:
    fwupd fwupd-lang libfwupd2 libfwupdplugin1 typelib-1_0-Fwupd-2_0

    5 packages to upgrade.
    Overall download size: 2.9 MiB. Already cached: 0 B. No additional space will be used or freed after the operation.
    Continue? [y/n/v/...? shows all options] (y): y
    Retrieving package typelib-1_0-Fwupd-2_0-1.4.3-lp152.88.22.x86_64 (1/5), 137.2 KiB ( 37.1 KiB unpacked)
    Retrieving: typelib-1_0-Fwupd-2_0-1.4.3-lp152.88.22.x86_64.rpm .....................................................................................................................................................................................................[not found]
    File './x86_64/typelib-1_0-Fwupd-2_0-1.4.3-lp152.88.22.x86_64.rpm' not found on medium 'http://download.opensuse.org/repositories/home:/ecsos/openSUSE_Leap_15.2/'
    Abort, retry, ignore? [a/r/i/...? shows all options] (a): i
    #

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,013

    Default AW: Unable to complete zypper up due to mismatch in the fwupd package

    Post:
    Code:
    zypper lr -d
    Maybe you have a Repo not enabled the refresh?

  3. #3
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,013

    Default AW: Unable to complete zypper up due to mismatch in the fwupd package

    v | ecsos's Home Project (openSUSE_Leap_15.2) | typelib-1_0-Fwupd-2_0 | 1.4.3-lp152.88.20 | 1.4.3-lp152.88.22 | x86_64
    This, your error is on:
    typelib-1_0-FwupdPlugin-1_0-1.4.3-lp152.88.23.x86_64.rpm
    See:
    https://download.opensuse.org/reposi...p_15.2/x86_64/

  4. #4
    Join Date
    Dec 2008
    Location
    FL, USA
    Posts
    2,440

    Default Re: Unable to complete zypper up due to mismatch in the fwupd package

    Not unusually this is a mirrors problem that will resolve itself simply by waiting several hours and trying again, or specifying specific mirror(s) instead of download.opensuse.org in your .repo files.
    Reg. Linux User #211409 *** multibooting since 1992
    Primary: 15.1, TW, 15.2 & 13.1 on Haswell w/ RAID
    Secondary: eComStation (OS/2)&15.1 on i965P/Radeon
    Tertiary: TW,15.2,15.1,Fedora,Debian,more on Kaby Lake,iQ45,iQ43,iG41,iG3X,i965G,AMD,NVidia&&&

  5. #5

    Default Re: Unable to complete zypper up due to mismatch in the fwupd package

    Thanks for your replies, but I have been having this issue for at least three-four weeks.

    The update finds current version ..20, wants to update it to ...22, but at the repo there is no version ...22 but version 23

    Also, I had leap 15.1, and at some point in the past upgraded to 15.2 following some instructions on a forum like this. My 15.1 repo is currently disabled. as shown below.
    Should I enable 15.1 and try again?



    Code:
     
    ~/Workshop/workspace/notebooks> zypper lr -d
    #  | Alias                             | Name                                      | Enabled | GPG Check | Refresh | Priority | Type   | URI                                                                                 | Service
    ---+-----------------------------------+-------------------------------------------+---------+-----------+---------+----------+--------+-------------------------------------------------------------------------------------+--------
     1 | NVIDIA                            | NVIDIA                                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://download.nvidia.com/opensuse/leap/15.2                                      | 
     2 | code                              | Visual Studio Code                        | Yes     | (r ) Yes  | No      |   99     | rpm-md | https://packages.microsoft.com/yumrepos/vscode                                      | 
     3 | cuda                              | cuda                                      | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://developer.download.nvidia.com/compute/cuda/repos/opensuse15/x86_64           | 
     4 | cuda-10-2-local-10.2.89-440.33.01 | cuda-10-2-local-10.2.89-440.33.01         | Yes     | (r ) Yes  | No      |   99     | rpm-md | file:/var/cuda-repo-10-2-local-10.2.89-440.33.01                                    | 
     5 | fonts                             | fonts                                     | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/M17N:/fonts/openSUSE_Leap_15.2/           | 
     6 | games                             | games                                     | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/games:/tools/openSUSE_Leap_15.2/          | 
     7 | google-chrome                     | google-chrome                             | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                 | 
     8 | home_ecsos                        | ecsos's Home Project (openSUSE_Leap_15.2) | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/ecsos/openSUSE_Leap_15.2/           | 
     9 | openSUSE-Leap-15.1-1              | openSUSE-Leap-15.1-1                      | No      | ----      | ----    |   99     | rpm-md | hd:/?device=/dev/disk/by-id/usb-SanDisk_Cruzer_Blade_4C532000030201101154-0:0-part2 | 
    10 | packman                           | packman                                   | Yes     | (r ) Yes  | No      |   90     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/                  | 
    11 | repo-debug                        | Debug Repository                          | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/                 | 
    12 | repo-debug-non-oss                | Debug Repository (Non-OSS)                | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/             | 
    13 | repo-debug-update                 | Update Repository (Debug)                 | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/oss/                            | 
    14 | repo-debug-update-non-oss         | Update Repository (Debug, Non-OSS)        | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/non-oss/                        | 
    15 | repo-non-oss                      | Non-OSS Repository                        | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/                   | 
    16 | repo-oss                          | Main Repository                           | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/                       | 
    17 | repo-source                       | Source Repository                         | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/                | 
    18 | repo-source-non-oss               | Source Repository (Non-OSS)               | Yes     | (r ) Yes  | No      |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/            | 
    19 | repo-update                       | Main Update Repository                    | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/oss/                                  | 
    20 | repo-update-non-oss               | Update Repository (Non-Oss)               | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/non-oss/                              | 
    21 | science                           | science                                   | No      | ----      | ----    |   99     | rpm-md | http://download.opensuse.org/repositories/science/openSUSE_Leap_15.2/               | 
    22 | skype-stable                      | skype (stable)                            | Yes     | (r ) Yes  | No      |   99     | rpm-md | https://repo.skype.com/rpm/stable/                                                  | 
    23 | teams                             | teams                                     | Yes     | (r ) Yes  | Yes     |   99     | rpm-md | https://packages.microsoft.com/yumrepos/ms-teams                                    |

  6. #6
    Join Date
    Sep 2012
    Posts
    5,982

    Default Re: Unable to complete zypper up due to mismatch in the fwupd package

    Quote Originally Posted by tak144 View Post
    Should I enable 15.1 and try again?
    Did you refresh your repository? It has autorefresh disabled. Show full command log that includes zypper refresh.

  7. #7
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,013

    Default AW: Unable to complete zypper up due to mismatch in the fwupd package

    Quote Originally Posted by Sauerland View Post
    Post:
    Code:
    zypper lr -d
    Maybe you have a Repo not enabled the refresh?
    qed.

    There are many Repos enabled but not refreshed.......

    A Repo that is enabled should also be refrehed, otherwiese diasable or delete that Repo.

  8. #8

    Default Re: Unable to complete zypper up due to mismatch in the fwupd package

    Thank you all. It was my ignorance about what Auto-refresh did, I had wrongly assumed it meant that it can auto-update without notification. The wording makes sense now - it refreshes the list of available.

    After enabling auto-refresh, and then following the
    Code:
    sudo zypper up
    , all is back to normal. Thanks.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •